<div *ngIf="is_sign_in_form"
     class="container text-white">
    <form [formGroup]="sign_in_form"
          class="form-group">
        <div class="row py-3">
            <label for="NameInput">Name</label>
            <input [formControl]="name"
                   class="form-control"
                   id="NameInput"
                   name="name"
                   placeholder="Enter Your Name"
                   type="text">
        </div>
        <div class="row py-3">
            <label for="PhoneInput">Phone</label>
            <input [formControl]="phone"
                   class="form-control"
                   id="PhoneInput"
                   name="phone"
                   placeholder="Enter phone"
                   type="tel">
        </div>
        <div class="row py-3">
            <button (click)="signIn(sign_in_form.value)"
                    class="btn btn-primary"
                    type="submit">Submit
            </button>
        </div>
    </form>
</div>

<div class="container text-white"
     *ngIf="is_verify_section">
    <form [formGroup]="verify_form"
          class="form-group">
        <div class="row py-3">
            <label for="VerifyCodeInput">Verify</label>
            <input [formControl]="code"
                   class="form-control"
                   id="VerifyCodeInput"
                   name="name"
                   placeholder="Enter code"
                   type="number">
            <small class="form-text text-muted">We'll never share your email with anyone else.</small>
        </div>
        <div class="row py-3">
            <button (click)="verifyPhone(verify_form.value)"
                    class="btn btn-success">
                Submit Verify
            </button>
        </div>
    </form>
</div>

<div class="container text-white">
    <div class="row py-3">
        <button class="btn btn-info"
                routerLink="/signin/email">ورود با ایمیل
        </button>
    </div>
</div>

<div class="container text-white">
    <div class="row py-3">
        <button class="btn btn-info"
                routerLink="/register/email"> ثبت‌نام با ایمیل
        </button>
    </div>
</div>